Unable to turn off "For all projects" flag of custom queries

2018-01-22 10:32 - Go MAEDA

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:  Affected version:  

Description

The "For all projects" flag of custom queries cannot be disabled if once enabled.

Steps to reproduce:

1. Create a query with "For all projects" flag enabled.

2. Edit the newly created query.

3. Uncheck "For all projects" checkbox and save the query.

4. Edit the query again.

5. "For all projects" checkbox is expected to be cleared, but it is actually checked.

Related issues:

Related to Redmine - Defect #42458: "For all projects" checkbox should be dis... Closed

Has duplicate Redmine - Defect #32930: Unable to uncheck "All projects" in sa... Closed

Has duplicate Redmine - Defect #38410: An authorized user should be able to r... Closed

History

#1 - 2018-01-23 02:50 - Go MAEDA

It is because queries with "For all projects" enabled don't have the information of its belonging project.

The attribute IssueQuery.project indicates the query's belonging project, but the value is nil for queries "for all projects" (nil means that the queriy is

"For all projects"). Therefore, Redmine cannot determine the value to be set for the "project_id" attribute when "For all projects" is disabled, and

project_id will remain nil even after saving the query. As a result, the "For all projects" never be turned off.

#2 - 2020-01-02 15:29 - Robert Röttger

+1

#3 - 2020-01-31 11:28 - Aleksandar Pavic

+1 please see #32930 I've proposed a possible solution.

#4 - 2020-02-04 06:08 - Go MAEDA

Aleksandar Pavic wrote:

+1 please see #32930 I've proposed a possible solution.

 The following is the suggested solution in #32930#note-1:

One possible solution would be to show project select box, when All projects is unchecked.

#5 - 2020-02-04 06:11 - Go MAEDA

- Has duplicate Defect #32930: Unable to uncheck "All projects" in saved issue filter query added

#6 - 2022-01-14 03:20 - Yuichi HARADA

- File before.png added

- File after.png added

2025-05-01 1/2

https://www.redmine.org/issues/32930
https://www.redmine.org/issues/32930
https://www.redmine.org/issues/32930#note-1


- File 28033.patch added

You become able to switch "For all projects" and the current project on the custom query edit form. I have attached a patch.

Current trunk(r21364)

 before.png 

After applying the patch

 after.png 

#7 - 2022-03-22 07:22 - Go MAEDA

- Target version set to Candidate for next major release

#8 - 2023-04-09 06:18 - Go MAEDA

- File 28033-v2.patch added

Updated the patch for the current trunk (r22174).

#9 - 2023-10-23 04:25 - Mischa The Evil

- Has duplicate Defect #38410: An authorized user should be able to remove 'For all projects' in a saved issue query added

#10 - 2025-03-24 10:07 - Go MAEDA

- Related to Defect #42458: "For all projects" checkbox should be disabled when editing an existing query in which the checkbox is already checked

added

#11 - 2025-04-11 18:57 - Peter Volkov

Please, can we apply this patch? M?
